# Interface Thenable<T>

Any object that has a then method.

interface Thenable< T > {
then < TResult1 = T , TResult2 = never>(
onfulfilled?: null | ((value: T ) => TResult1 | PromiseLike < TResult1 >),
onrejected?: null | ((reason: any) => TResult2 | PromiseLike < TResult2 >),
): PromiseLike < TResult1 | TResult2 >;
}

#### Type Parameters

- T

#### Hierarchy (View Summary)

- PromiseLike < T >
  - Thenable

- Defined in node_modules/@types/jquery/misc.d.ts:1204

##### Index

### Methods

then

## Methods

### then

- then< TResult1 = T , TResult2 = never>(
  onfulfilled?: null | ((value: T ) => TResult1 | PromiseLike < TResult1 >),
  onrejected?: null | ((reason: any) => TResult2 | PromiseLike < TResult2 >),
  ): PromiseLike < TResult1 | TResult2 >

  Attaches callbacks for the resolution and/or rejection of the Promise.

  #### Type Parameters

  - TResult1 = T
  - TResult2 = never

  #### Parameters

  - `Optional` onfulfilled: null | ((value: T ) => TResult1 | PromiseLike < TResult1 >)

    The callback to execute when the Promise is resolved.

  - `Optional` onrejected: null | ((reason: any) => TResult2 | PromiseLike < TResult2 >)

    The callback to execute when the Promise is rejected.

  #### Returns PromiseLike < TResult1 | TResult2 >

  A Promise for the completion of which ever callback is executed.

  Inherited from PromiseLike.then

  - Defined in node_modules/typescript/lib/lib.es5.d.ts:1537